Ruby Agent 3.16.1.320

Released on: 
Monday, August 15, 2016 - 16:36

v3.16.1

  • Internal datastore instrumentation rewrites

    The agent's internal tracing of datastore segments has been rewritten, and instrumentation updated to utilize the new classes.

  • Fix Grape endpoint versions in transaction names

    Grape 0.16 changed Route#version (formerly #route_version) to possibly return an Array of versions for the current endpoint. The agent has been updated to use rack.env['api.version'] set by Grape, and fall back to joining the version Array with '|' before inclusion in the transaction name when api.version is not available. Thanks Geoff Massanek for the contribution!

  • Fix deprecation warnings from various Rails error subclasses

    Rails 5 deprecates #original_exception on a few internal subclasses of StandardError in favor of Exception#cause from Ruby stdlib. The agent has been updated to try Exception#cause first, thus avoiding deprecation warnings. Thanks Alexander Stuart-Kregor for the contribution!

  • Fix instrumentation for Sequel 4.35.0

    The latest version of Sequel changes the name and signature of the method that the Ruby Agent wraps for instrumentation. The agent has been updated to handle these changes. Users using Sequel 4.35.0 or newer should upgrade their agent.

  • Fix DataMapper instrumentation for additional versions

    Different versions of DataMapper have different methods for retrieving the adapter name, and Postmodern expanded our coverage. Thanks for the contribution!